Main Page Widgets Namespaces Book

# Gdk::Bitmap Class Reference

Inheritance diagram for Gdk::Bitmap:

[legend]
List of all members.

## Detailed Description

Bitmaps are simply pixmaps with a depth of 1.

(That is, they are monochrome bitmaps - each pixel can be either on or off).

## Static Public Member Functions

Glib::RefPtr<Bitmap> | create (const char* data, int width, int height)
Glib::RefPtr<Bitmap> | create (const Glib::RefPtr<Gdk::Drawable>& drawable, const char* data, int width, int height)

## Protected Member Functions

| Bitmap (const char* data, int width, int height)
| Bitmap (const Glib::RefPtr<Gdk::Drawable>& drawable, const char* data, int width, int height)

## Constructor & Destructor Documentation

Gdk::Bitmap::Bitmap | ( | const char* | data,
|  | int | width,
|  | int | height
| ) | `[protected]`

Gdk::Bitmap::Bitmap | ( | const Glib::RefPtr<Gdk::Drawable>& | drawable,
|  | const char* | data,
|  | int | width,
|  | int | height
| ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const Glib::RefPtr<Gdk::Drawable>& | drawable,
|  | const char* | data,
|  | int | width,
|  | int | height
| ) | `[static]`

Glib::RefPtr<Bitmap> Gdk::Bitmap::create | ( | const char* | data,
|  | int | width,
|  | int | height
| ) | `[static]`

The documentation for this class was generated from the following file:

- bitmap.h